Skip to main content
`Ctrl`+`K`

# DMMoabLoadFromFile

Creates a `DMMOAB` object by loading the mesh from a user specified file https://www.mcs.anl.gov/~fathom/moab-docs/html/contents.html#fivetwo

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabLoadFromFile(MPI_Comm comm, PetscInt dim, PetscInt nghost, const char *filename, const char *usrreadopts, DM *dm)

Collective

## Input Parameters

- comm - The communicator for the `DMOAB` object

- dim - The spatial dimension

- nghost - The number of ghosted layers needed in the partitioned mesh

- filename - The name of the mesh file to be loaded

- usrreadopts - The options string to read a MOAB mesh.

## Output Parameter

- dm - The `DM` object

## See Also

`DMSetType()`, `DMCreate()`, `DMMoabCreateBoxMesh()`

## Level

beginner

## Location

src/dm/impls/moab/dmmbutil.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages